Name:           python-django-wildewidgets
Version:        1.1.6
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        django-wildewidgets is a Django design library providing several tools for building full-featured, widget-based web applications with a standard, consistent design, based on Bootstrap.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/caltechads/django-wildewidgets
Source:         %{pypi_source django_wildewidgets}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'django-wildewidgets' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-django-wildewidgets
Summary:        %{summary}

%description -n python3-django-wildewidgets %_description


%prep
%autosetup -p1 -n django_wildewidgets-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-django-wildewidgets -f %{pyproject_files}


%changelog
%autochangelog